Last Comment Bug 41806 - [HTML.CSS]FORM has bottom margin
: [HTML.CSS]FORM has bottom margin
Status: VERIFIED FIXED
: compat, polish, testcase
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: mozilla1.8beta2
Assigned To: Anne (:annevk)
: Chris Petersen
Mentors:
: 50408 52982 59911 158978 245993 286714 (view as bug list)
Depends on:
Blocks: 56362
  Show dependency treegraph
 
Reported: 2000-06-07 10:01 PDT by karnaze (gone)
Modified: 2005-08-31 00:50 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (123 bytes, text/html)
2000-06-17 21:48 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details
clearer testcase (157 bytes, text/html)
2000-06-17 21:53 PDT, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details
patch #1 (2.15 KB, patch)
2005-02-13 08:48 PST, Anne (:annevk)
bzbarsky: review+
dbaron: superreview+
Details | Diff | Review
testcase (standards mode) (200 bytes, text/html)
2005-02-20 07:54 PST, Anne (:annevk)
no flags Details

Description karnaze (gone) 2000-06-07 10:01:28 PDT
This is an off shoot of bug 31153. The line containing the text field is too 
tall. If the <input> is replaced with plain text, the same thing happens.

<div style="border: 1px solid red">
  <form>
    <input value=foo>
  </form>
</div>
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-06-17 21:48:41 PDT
Created attachment 10330 [details]
testcase
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-06-17 21:53:09 PDT
Created attachment 10331 [details]
clearer testcase
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-06-30 20:58:03 PDT
Wait a sec... margins aren't carried out when there are borders.  The problem is
that html.css says:

436 form {
437 display: block;
438 margin: 0px 0px 1em 0px;
439 }

So, why does it have these margins?  Eric Pollman made them that way.  Must be
backwards compatibility.  This seems like something strange enough that maybe it
should be in quirks.css.
Comment 4 Eric Pollmann 2000-07-08 21:28:16 PDT
From my checkin comment (rev 3.40, 2000-Jan-13):

Bug 16253: Update form margins to be the same as Nav and IE's (this checkin has 
no effect on layout until 23388 is fixed) r=harishd

Yes, this is a quirk thing - quirk.css, unfortunately, was not around until a 
few months after this change.  :)  If this behaviour differs from the spec, 
please feel free to move it to the right place!
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2000-07-09 20:38:32 PDT
Giving this to Eric Pollmann.  I think page authors would be happy to get rid of 
behavior like this, so IMO it should go to quirks.css.  cc:ing Ian to see if he 
agrees.
Comment 6 Hixie (not reading bugmail) 2000-07-10 02:35:18 PDT
I do think the quirky margin should be moved to quirks.css; what I'm not sure
of is what margins we should have in the html.css file. 1em top and bottom?
0 margins all round?

Does it matter?

I would say 0 margins all round; forms usually contain paragraphs or somesuch
that will have margins of their own.
Comment 7 Eric Pollmann 2000-07-10 13:19:43 PDT
From bug 16253:

Nav   4.7  1em bottom margin only
IE    5.0  1em bottom margin some cases 0 margins other cases
Opera 3.61 0.5em(?) top and bottom margins
Gecko      1em bottom margin only

I'll check in IE to see if the two margins are consistently chosen (for example, 
based on if the form is well nested or not?)
Comment 8 Eric Pollmann 2000-07-28 20:08:25 PDT
This is *such* a low risk, one-liner fix it would be silly not to get it in for 
beta3.
Comment 9 Kevin McCluskey (gone) 2000-08-01 18:24:28 PDT
Marking nsbeta3-
Comment 10 Eric Pollmann 2000-08-15 18:56:02 PDT
Moving bug marked nsbeta3- to Future milestone.
Comment 11 Eric Pollmann 2000-09-05 14:29:58 PDT
*** Bug 50408 has been marked as a duplicate of this bug. ***
Comment 12 Eric Pollmann 2000-09-18 17:44:22 PDT
*** Bug 52982 has been marked as a duplicate of this bug. ***
Comment 13 James Lariviere 2000-11-21 14:11:37 PST
*** Bug 59911 has been marked as a duplicate of this bug. ***
Comment 14 rods (gone) 2000-12-08 06:01:30 PST
You may want to check out Bug 62245.
Comment 15 Hixie (not reading bugmail) 2000-12-11 16:17:06 PST
Upon managerial request, adding the "testcase" keyword to 84 open layout bugs that
do not have the "testcase" keyword and yet have an attachement with the word
"test" in the description field. Apologies for any mistakes.
Comment 16 Kevin McCluskey (gone) 2001-10-05 14:36:32 PDT
Bulk reassigning form bugs to Alex
Comment 17 Amarendra Hanumanula 2002-07-26 11:58:34 PDT
*** Bug 158978 has been marked as a duplicate of this bug. ***
Comment 18 Boris Zbarsky [:bz] (Out June 25-July 6) 2003-03-18 14:57:26 PST
So could we decide on something here and just do it?
Comment 19 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-03-30 14:05:56 PST
Taking.
Comment 20 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-03-30 14:08:18 PST
*** Bug 50408 has been marked as a duplicate of this bug. ***
Comment 21 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2004-06-09 21:37:43 PDT
*** Bug 245993 has been marked as a duplicate of this bug. ***
Comment 22 Anne (:annevk) 2005-02-13 08:48:35 PST
Created attachment 174229 [details] [diff] [review]
patch #1
Comment 23 Boris Zbarsky [:bz] (Out June 25-July 6) 2005-02-17 23:34:07 PST
Checked in for 1.8b2
Comment 24 Anne (:annevk) 2005-02-20 07:54:43 PST
Created attachment 174856 [details]
testcase (standards mode)
Comment 25 mhlx.os2 2005-02-24 10:00:10 PST
These new css files (i.e. forms.css, html.css, quirk.css) change the appearance
of http://distrowatch.com .  The forms on the left ("Type distribution name"
area), middle ("News filtering options" area), and right ("Data span" area) are
now "sunk", meaning the bottom extends outside the box border.

The previous versions of those css files showed http://distrowatch.com correctly
with those forms completely inside their box.

I identified these files as the cause, not only from compiling my own OS/2
version (using dates "2005-02-17 22:12 PST" and "2005-02-17 22:14 PST") but also
testing precompiled (binaries from mozilla.org) Win98 version 2005-02-17-06 and
2005-02-18-07 trunk, as well as precompiled Win98 Firefox release (here I just
changed those css files, restart Firefox, change css files, restart, etc).
Comment 26 Boris Zbarsky [:bz] (Out June 25-July 6) 2005-02-24 10:04:45 PST
That site is in standards mode, and the "sunk" rendering is correct given their CSS.
Comment 27 Boris Zbarsky [:bz] (Out June 25-July 6) 2005-04-12 16:59:06 PDT
*** Bug 286714 has been marked as a duplicate of this bug. ***
Comment 28 Martijn Wargers [:mwargers] (not working for Mozilla) 2005-08-31 00:50:19 PDT
The issue in comment 25 is fixed by bug 305975 (so there was a bug in Mozilla
that got visible by the fix for this bug).

Note You need to log in before you can comment on or make changes to this bug.